| GET | /RestApi/translations/projects/services |
|---|
import Foundation
import ServiceStack
public class GetProjectsService : IProjectsFilter, Codable
{
public var searchText:String
public var service:[String]
public var projectStatus:ProjectStatus?
public var actualSourceLanguage:String
public var withoutSourceLanguage:Bool
required public init(){}
}
public enum ProjectStatus : String, Codable
{
case NotStarted
case Started
case Completed
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/services HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}}]